import type { AxiosResponse } from 'axios';
import type { UserProvidedProxyConfiguration } from '@nangohq/types';
export declare function saveResponse<T>({ directoryName, config, data, customFilePath }: {
    directoryName: string;
    config: {
        method: string;
        endpoint: UserProvidedProxyConfiguration['endpoint'];
    };
    data: T;
    customFilePath?: string;
}): void;
export declare function onAxiosRequestFulfilled({ response, providerConfigKey, connectionId }: {
    response: AxiosResponse;
    providerConfigKey: string | undefined;
    connectionId: string;
}): AxiosResponse;
